Description

In previous versions, one could do the following (the manual also claims that this works, e.g. 
http://docs.cor-lab.de/rsb-manual/trunk/html/common.html#envvar-RSB_TRANSPORT_INPROCESS_ENABLED):

$ export RSB_TRANSPORT_INPROCESS_ENABLED=1
$ rsb_version --verbose
Version: 0.7.25, build g51fcb47 (DATE 130123), abi 2

Default Configuration
rsb::ParticipantConfig[qosSpec = QualityOfServiceSpec[ordering = 10, reliability = 20], errorStrategy = 0, transports =
{Transport[name = socket, converters = {}, options = p{ enabled: "1" }], Transport[name = spread, converters = {}, options = p{
enabled: "0" }], Transport[name = inprocess, converters = {}, options = p{ enabled: "1" }]}, eventReceivingStrategy =
rsb::ParticipantConfig::EventProcessingStrategy[name = parallel, options = p{  }], eventSendingStrategy =
rsb::ParticipantConfig::EventProcessingStrategy[name = direct, options = p{  }], options = p{  }]]

Note the Transport[name = inprocess, converters = {}, options = p{ enabled: "1" }] part.

However, with the current 0.9 version, it does not work anymore:

$ export RSB_TRANSPORT_INPROCESS_ENABLED=1
$ rsb-infocpp0.9 --config
Version: 0.9.0, build gc71d293 (DATE 130123), abi 2

RSC Version: 0.9.0, build gfeab1da (DATE 130123), abi 4

Default Configuration
rsb::ParticipantConfig[qosSpec = QualityOfServiceSpec[ordering = 10, reliability = 20], errorStrategy = 0, transports =
{Transport[name = socket, converters = {}, options = p{ enabled: "1" }], Transport[name = spread, converters = {}, options = p{
enabled: "0" }], Transport[name = inprocess, converters = {}, options = p{ enabled: "0" }]}, eventReceivingStrategy =
rsb::ParticipantConfig::EventProcessingStrategy[name = parallel, options = p{  }], eventSendingStrategy =
rsb::ParticipantConfig::EventProcessingStrategy[name = direct, options = p{  }], options = p{  }]]

Note the Transport[name = inprocess, converters = {}, options = p{ enabled: "0" }] part.

Related issues:
Blocked by Robotics Systems Commons - Bug # 1357: Prefix stripping in Environ... Resolved 01/25/2013

History
#1 - 01/25/2013 08:59 AM - J. Wienke
- Assignee set to J. Wienke
http://docs.cor-lab.de/rsb-manual/trunk/html/common.html#envvar-RSB_TRANSPORT_INPROCESS_ENABLED


probably i have caused this. will have a look

#2 - 01/25/2013 09:25 AM - J. Wienke

Caused by #1357

#3 - 01/25/2013 09:28 AM - J. Wienke

This is automatically resolved with #1357.

#4 - 01/28/2013 05:25 PM - J. Wienke
- Status changed from New to Resolved
- % Done changed from 0 to 100

05/13/2024 2/2


